1
0
Fork 0

Automake/autoconf tweaks.

This commit is contained in:
curt 1998-04-09 01:43:36 +00:00
parent 293f9611a1
commit db9fea699a
6 changed files with 79 additions and 165 deletions

80
Done
View file

@ -2,86 +2,12 @@
| Done
--------------------------------------------------------------------------
3/17/98 - Fix time jumping problem on win32
3/1/98 - Unify sun position render code with existing sunpos
calculations so the sun doesn't do it's little jump every
hour.
2/19/98 - Fixed a problem with smooth view (scenery center) switch
when entering a new tile.
2/18/98 - Fixed a problem with terrain generation that was causing
some strips to be put in the wrong winding list.
2/9/98 - Fixed a problem with terrain tiles not quite matching up perfectly.
2/2/98 - Fix warning when compiling with c++ ... also successfully built
with cygnus-g++. There should be nothing holding us back from
using C++.
1/30/98 - remove Scenery/geometry.c and Scenery/mesh.c
1/28/98 - Dynamic unloading of scenery.
1/26/98 - Debug message system.
1/26/98 - Dynamic loading of scenery
1/24/98 - Remove some of the unused files such as ls_sync.c
1/23/98 - in all .h's change #ifdef FILE_H -> #ifdef _FILE_H
--------------------------------------------------------------------------
1/22/98 - Released version 0.25
4/8/98 - Released version 0.41
1/19/98 - Compile with c++
4/7/98 - Incorporated the Tools directory into the automake system
1/17/98 - Change all "type function();" to "type function( void );"
4/6/98 - Cleanups
--------------------------------------------------------------------------
1/16/98 - Release verison 0.23
1/6/98 - Added FGwin32.mak (a MSVC++ Makefile for building win32 versions)
--------------------------------------------------------------------------
1/5/98 - Released version 0.21
12/31/97 - remove Unix dependencies from .../Time/fg_time.c
--------------------------------------------------------------------------
12/30/97 - Released version 0.20
12/30/97 - Released version 0.19
12/30/97 - Event manager
12/23/97 - First stab at a reasonable sky ... I'm going to probably
leave this for now so I don't spend the rest of my life
trying to tweak it.
12/17/97 - Released version 0.18
12/17/97 - Fix sun/moon initialization code so display lists aren't
re-created at every Init().
12/12/97 - Released verison 0.17
12/10/97 - Released version 0.16
12/9/97 - Released demtools version 0.01
12/9/97 - Released version 0.15
11/25/97 - Released version 0.14
10/24/97 - Released version 0.13
9/22/97 - Released version 0.12
9/16/97 - Released version 0.11

View file

@ -1,2 +1,6 @@
SUBDIRS = Simulator Tools
SUBDIRS = Simulator
EXTRA_DIST = Makefile.extra README.Win32 README.autoconf README.running Thanks
dist-hook:
tar cf - Hints | (cd $(distdir); tar xvf -)

View file

@ -71,7 +71,9 @@ PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
VERSION = @VERSION@
SUBDIRS = Simulator
SUBDIRS = Simulator Tools
EXTRA_DIST = Makefile.extra README.Win32 README.autoconf README.running Thanks
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ./Simulator/Include/config.h
@ -223,6 +225,7 @@ distdir: $(DISTFILES)
(cd $$subdir && $(MAKE) top_distdir=../$(distdir) distdir=../$(distdir)/$$subdir distdir) \
|| exit 1; \
done
$(MAKE) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
info: info-recursive
dvi: dvi-recursive
check: all-am
@ -294,6 +297,9 @@ installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean
dist-hook:
tar cf - Hints | (cd $(distdir); tar xvf -)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

61
Todo
View file

@ -1,61 +0,0 @@
--------------------------------------------------------------------------
| Todo
--------------------------------------------------------------------------
3/18/98 - Use win32 specific calls to get daylight savings time on windoze
12/29/97 - View frustum culling
1/5/98 - Create a development "roadmap"
12/30/97 - fix winding problem with tri-strips in obj.c (invert normals)
12/29/97 - Add a mechanism to parse command line options
* A simple clear-screen sky.
* No fog.
* No astronomy.
* Less detailed terrain.
* Texture - but no MIP-mapping.
* Texture - but no bilinear blending.
* No texture.
12/29/97 - sky tweaking
Steve Baker writes:
So, by building the sky in the flattened shape, we can have it be
very foggy at the horizon and clear blue overhead.
The other important feature of this model is the colours. We
colour each vertex of the dish individually to allow for cute
sunsets, a darker blue overhead than at the horizon in daylight, a
gradual darkening of the sky as a function of altitude for very
high altitude flight - into space. Also we tint the horizon more
in the direction of the sun so that sunset starts where the sun
goes down - and the sky remains blue on the opposite side of the
sky - then as the sun gets lower, the colour spreads outwards all
around the sky and the black of night creeps in slowly from the
opposite side of the sky from the sunset.
We also like to tint the bottom edge of the sky with white - even
in broad daylight - so it looks fuzzy - even when there is very
little fog to achieve that effect.
We use a text file that contains a lookup table relating the sun
angle relative to the horizon to:
* The colour at the top of the sky dome,
* The colour of the horizon nearest to the sun
* The colour of the horizon farthest from the sun
* The colour of the texture environment blend for the clouds.
* The fog colour.
We can then tweak that file to set up all the conditions. The
realtime system interpolates the horizon colours all around the edge
of the sky.
12/29/97 - Ground collision detection
12/29/97 - glut windows or something for panel area - consider 3d
panels, careful of texture memory problems.
1/5/98 - bzflag sound code might be able to work for us.

54
configure vendored
View file

@ -703,7 +703,7 @@ fi
PACKAGE=FlightGear
VERSION=0.40
VERSION=0.41
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
{ echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
@ -1316,7 +1316,7 @@ echo "configure:1316: checking for ld used by GCC" >&5
ac_prog=`($CC -print-prog-name=ld) 2>&5`
case "$ac_prog" in
# Accept absolute paths.
/* | A-Za-z:\\*)
/* | [A-Za-z]:\\*)
test -z "$LD" && LD="$ac_prog"
;;
"")
@ -3219,19 +3219,19 @@ EOF
exit 1
fi
if [ -f `pwd`/Win32/glu.dll ]; then
echo " found glu.dll, adding -lglu"
LIBS="$LIBS -lglu"
echo " found glu.dll"
else
echo " Cannot find glu.dll"
exit 1
echo " Can't find glu.dll, assuming it's someplace"
fi
echo " adding -lglu"
LIBS="$LIBS -lglu"
if [ -f `pwd`/Win32/opengl.dll ]; then
echo " found opengl.dll, adding -lopengl"
LIBS="$LIBS -lopengl"
echo " found opengl.dll"
else
echo " Cannot find opengl.dll"
exit 1
echo " Can't find opengl.dll, assuming it's somplace"
fi
echo " adding -lopengl"
LIBS="$LIBS -lopengl"
echo " adding -luser32 -lgdi32"
LIBS="$LIBS -luser32 -lgdi32"
ac_cv_lib_glut_glutGetModifiers="yes"
@ -3877,23 +3877,36 @@ ac_given_INSTALL="$INSTALL"
trap 'rm -fr `echo "\
Makefile \
Simulator/Makefile \
Simulator/Aircraft/Makefile \
Simulator/Astro/Makefile \
Simulator/Cockpit/Makefile \
Simulator/Controls/Makefile \
Simulator/Flight/LaRCsim/Makefile \
Simulator/Flight/Makefile \
Simulator/Flight/Slew/Makefile \
Simulator/Flight/Makefile \
Simulator/Include/Makefile \
Simulator/Joystick/Makefile \
Simulator/Linux/Makefile \
Simulator/Main/Makefile \
Simulator/Main/runfg \
Simulator/Main/runfg.bat \
Simulator/Makefile \
Simulator/Math/Makefile \
Simulator/Scenery/Bucket/Makefile \
Simulator/Scenery/Makefile \
Simulator/Time/Makefile \
Simulator/Weather/Makefile \
Simulator/XGL/Makefile \
Tools/Makefile \
Tools/AssemTris/Makefile \
Tools/DEM/Makefile \
Tools/Dem2node/Makefile \
Tools/FixNode/Makefile \
Tools/FixObj/Makefile \
Tools/SplitTris/Makefile \
Tools/Stripe_u/Makefile \
Tools/Tri2obj/Makefile \
Tools/Triangle/Makefile \
Simulator/Include/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF
@ -3996,23 +4009,36 @@ cat >> $CONFIG_STATUS <<EOF
CONFIG_FILES=\${CONFIG_FILES-"\
Makefile \
Simulator/Makefile \
Simulator/Aircraft/Makefile \
Simulator/Astro/Makefile \
Simulator/Cockpit/Makefile \
Simulator/Controls/Makefile \
Simulator/Flight/LaRCsim/Makefile \
Simulator/Flight/Makefile \
Simulator/Flight/Slew/Makefile \
Simulator/Flight/Makefile \
Simulator/Include/Makefile \
Simulator/Joystick/Makefile \
Simulator/Linux/Makefile \
Simulator/Main/Makefile \
Simulator/Main/runfg \
Simulator/Main/runfg.bat \
Simulator/Makefile \
Simulator/Math/Makefile \
Simulator/Scenery/Bucket/Makefile \
Simulator/Scenery/Makefile \
Simulator/Time/Makefile \
Simulator/Weather/Makefile \
Simulator/XGL/Makefile \
Tools/Makefile \
Tools/AssemTris/Makefile \
Tools/DEM/Makefile \
Tools/Dem2node/Makefile \
Tools/FixNode/Makefile \
Tools/FixObj/Makefile \
Tools/SplitTris/Makefile \
Tools/Stripe_u/Makefile \
Tools/Tri2obj/Makefile \
Tools/Triangle/Makefile \
"}
EOF
cat >> $CONFIG_STATUS <<\EOF

View file

@ -5,7 +5,7 @@ dnl
AC_INIT(Simulator/Aircraft/aircraft.c)
dnl Initialize the automake stuff
AM_INIT_AUTOMAKE(FlightGear, 0.40)
AM_INIT_AUTOMAKE(FlightGear, 0.41)
dnl Checks for programs.
@ -81,19 +81,19 @@ if test "x$am_cv_cygwin32" = "xyes" ; then
exit 1
fi
if [[ -f `pwd`/Win32/glu.dll ]]; then
echo " found glu.dll, adding -lglu"
LIBS="$LIBS -lglu"
echo " found glu.dll"
else
echo " Cannot find glu.dll"
exit 1
echo " Can't find glu.dll, assuming it's someplace"
fi
echo " adding -lglu"
LIBS="$LIBS -lglu"
if [[ -f `pwd`/Win32/opengl.dll ]]; then
echo " found opengl.dll, adding -lopengl"
LIBS="$LIBS -lopengl"
echo " found opengl.dll"
else
echo " Cannot find opengl.dll"
exit 1
echo " Can't find opengl.dll, assuming it's somplace"
fi
echo " adding -lopengl"
LIBS="$LIBS -lopengl"
echo " adding -luser32 -lgdi32"
LIBS="$LIBS -luser32 -lgdi32"
ac_cv_lib_glut_glutGetModifiers="yes"
@ -126,21 +126,34 @@ AM_CONFIG_HEADER(Simulator/Include/config.h)
AC_OUTPUT( \
Makefile \
Simulator/Makefile \
Simulator/Aircraft/Makefile \
Simulator/Astro/Makefile \
Simulator/Cockpit/Makefile \
Simulator/Controls/Makefile \
Simulator/Flight/LaRCsim/Makefile \
Simulator/Flight/Makefile \
Simulator/Flight/Slew/Makefile \
Simulator/Flight/Makefile \
Simulator/Include/Makefile \
Simulator/Joystick/Makefile \
Simulator/Linux/Makefile \
Simulator/Main/Makefile \
Simulator/Main/runfg \
Simulator/Main/runfg.bat \
Simulator/Makefile \
Simulator/Math/Makefile \
Simulator/Scenery/Bucket/Makefile \
Simulator/Scenery/Makefile \
Simulator/Time/Makefile \
Simulator/Weather/Makefile \
Simulator/XGL/Makefile \
Tools/Makefile \
Tools/AssemTris/Makefile \
Tools/DEM/Makefile \
Tools/Dem2node/Makefile \
Tools/FixNode/Makefile \
Tools/FixObj/Makefile \
Tools/SplitTris/Makefile \
Tools/Stripe_u/Makefile \
Tools/Tri2obj/Makefile \
Tools/Triangle/Makefile \
)